Bug 535516 - (RHQ-2202) Remote Client - Web Service (WS) support [NEEDINFO]
Remote Client - Web Service (WS) support
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: FutureFeature
Depends On: RHQ-1099 RHQ-1185 RHQ-1200
  Show dependency treegraph
Reported: 2009-06-30 16:44 EDT by Jay Shaughnessy
Modified: 2014-05-05 18:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-05 18:00:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwelton: needinfo? (ccrouch)

Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2009-06-30 16:44:00 EDT
The Remote Client packaging will include WSDL for our remote interfaces.  This will allow static proxies to be generated easily for custom remote WS clients.  By deploying jbossws.sar (renaming it from .sar.rej to .sar) the remote WS endpoints will be deployed.

This Jira tracks work ensuring that our jbossws WS support is working.  This includes packaging, jaxb serialization, and testing with non-java clients. Static and dynami proxies should both be tested and the remote API use cases should be supported.
Comment 1 Red Hat Bugzilla 2009-11-10 15:59:52 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2202
This bug is incorporated by RHQ-2125
Comment 2 Corey Welton 2010-11-22 14:49:49 EST
ccrouch - what do you want to do about this?

Note You need to log in before you can comment on or make changes to this bug.